Page MenuHomePhabricator

smartlog: do not query branch
ClosedPublic

Authored by quark on Nov 20 2017, 4:57 PM.

Details

Reviewers
durham
Group Reviewers
Restricted Project
Commits
rFBHGX37d9b619c288: smartlog: do not query branch
Summary

branch(.) is not cheap since it builds the revbranchcache:

66              \ branch (2 times)           revset.py:465
48                \ wrapper (2 times)        localrepo.py:141
48                 | revbranchcache (2 times) localrepo.py:959
46                 | __init__                branchmap.py:354
16                 | read (2 times)          vfs.py:78
18                \ branchmap (2 times)      localrepo.py:953

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

quark created this revision.Nov 20 2017, 4:57 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 20 2017, 4:57 PM
stash added a subscriber: stash.Nov 21 2017, 4:35 AM

Since branchinfo is fake now, maybe we can completely delete it?

quark added a comment.Nov 21 2017, 4:44 AM
In D1466#24755, @stash wrote:

Since branchinfo is fake now, maybe we can completely delete it?

Yes. I tried that but caused some minor behavior change that broke tests. I'll try again later today.

durham requested changes to this revision.Nov 21 2017, 10:22 AM
durham added a subscriber: durham.

+1 on just removing all the branchinfo code

This revision now requires changes to proceed.Nov 21 2017, 10:22 AM
quark updated this revision to Diff 3760.Nov 21 2017, 10:16 PM
durham accepted this revision.Nov 27 2017, 9:31 PM
This revision is now accepted and ready to land.Nov 27 2017, 9:31 PM
This revision was automatically updated to reflect the committed changes.